;Rotating Text and Images

#PurePDF_Include=1
XIncludeFile "PurePDF.pb"

Procedure RotatedText(x.f, y.f, Text$, angle.f) 
  ; Text rotated around its origin
  pdf_Rotate(angle, x , y) 
  pdf_Text(x, y, Text$) 
  pdf_Rotate(0) 
EndProcedure

Procedure RotatedImage(File$, x.f, y.f, w.f, h.f, Angle.f) 
  ;Image rotated around its upper-left corner
  pdf_Rotate(angle, x, y) 
  pdf_Image(File$, x, y, w, h) 
  pdf_Rotate(0) 
EndProcedure 

pdf_Create()
pdf_AddPage()
pdf_SetFont("Arial","",20)
RotatedImage("circle.png",85,60,40,16,45)
RotatedText(100,60,"Hello!",45)

Define file$="Tutorial09 Rotate.pdf"

pdf_Save(file$)
RunProgram(file$)
; IDE Options = PureBasic 4.61 (Windows - x86)
; CursorPosition = 27
; Folding = -